test: HAL_ACPI_DISPATCH_TABLE struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# HAL_ACPI_DISPATCH_TABLE Struct Reference

`#include <ntacpi.h>`

List of all members.

## Public Attributes

ULONG | Signature
ULONG | Version
pHalAcpiTimerInit | HalpAcpiTimerInit
pHalAcpiTimerInterrupt | HalpAcpiTimerInterrupt
pHalAcpiMachineStateInit | HalpAcpiMachineStateInit
pHalAcpiQueryFlags | HalpAcpiQueryFlags
pHalPicStateIntact | HalxPicStateIntact
pHalRestorePicState | HalxRestorePicState
pHalInterfaceReadWriteConfig | HalpPciInterfaceReadConfig
pHalInterfaceReadWriteConfig | HalpPciInterfaceWriteConfig
pHalSetVectorState | HalpSetVectorState
pHalGetIOApicVersion | HalpGetIOApicVersion
pHalSetMaxLegacyPciBusNumber | HalpSetMaxLegacyPciBusNumber

## Member Data Documentation

pHalAcpiMachineStateInit HAL_ACPI_DISPATCH_TABLE::HalpAcpiMachineStateInit

| Definition at line 241 of file ntacpi.h.

pHalAcpiQueryFlags HAL_ACPI_DISPATCH_TABLE::HalpAcpiQueryFlags

| Definition at line 242 of file ntacpi.h.

pHalAcpiTimerInit HAL_ACPI_DISPATCH_TABLE::HalpAcpiTimerInit

| Definition at line 239 of file ntacpi.h.

pHalAcpiTimerInterrupt HAL_ACPI_DISPATCH_TABLE::HalpAcpiTimerInterrupt

| Definition at line 240 of file ntacpi.h.

pHalGetIOApicVersion HAL_ACPI_DISPATCH_TABLE::HalpGetIOApicVersion

| Definition at line 248 of file ntacpi.h.

pHalInterfaceReadWriteConfig HAL_ACPI_DISPATCH_TABLE::HalpPciInterfaceReadConfig

| Definition at line 245 of file ntacpi.h.

pHalInterfaceReadWriteConfig HAL_ACPI_DISPATCH_TABLE::HalpPciInterfaceWriteConfig

| Definition at line 246 of file ntacpi.h.

pHalSetMaxLegacyPciBusNumber HAL_ACPI_DISPATCH_TABLE::HalpSetMaxLegacyPciBusNumber

| Definition at line 249 of file ntacpi.h.

pHalSetVectorState HAL_ACPI_DISPATCH_TABLE::HalpSetVectorState

| Definition at line 247 of file ntacpi.h.

pHalPicStateIntact HAL_ACPI_DISPATCH_TABLE::HalxPicStateIntact

| Definition at line 243 of file ntacpi.h.

pHalRestorePicState HAL_ACPI_DISPATCH_TABLE::HalxRestorePicState

| Definition at line 244 of file ntacpi.h.

ULONG HAL_ACPI_DISPATCH_TABLE::Signature

| Definition at line 237 of file ntacpi.h.

ULONG HAL_ACPI_DISPATCH_TABLE::Version

| Definition at line 238 of file ntacpi.h.

The documentation for this struct was generated from the following file:

- ntacpi.h